All Activity

This stream auto-updates     

  1. Today
  2. To może jeśli to jest jednorazowa sytuacja, może szybciej użyć jakiegoś gotowego internetowego kalkulatora przeliczającego współrzędne ? Np: http://piast.edu.pl/Tools/Geographic-Calculations-Calculators#
  3. Yesterday
  4. Last week
  5. DamianM

    Co to jest?

    Rzeczywiście, moje pierwsze skojarzenie, to latarnia morska. Ale jest na tyle wąska, w porównaniu np. z latarnią w Ustce, że zwątpiłem.
  6. Witaj Po co mi to; jest to prawdopodobnie jednorazowy wybryk mojego szefostwa.. Nie było by problemu gdybym miał program cad dedykowany do map. Mam ramkę (polilinie) narysowaną w modelu, w arkuszu robię rzutnie na podstawie tej polilini i na wszystkich 4 wierzchołkach muszę wypisać długość i szerokość geo. znalazłem ( ty chyba też ) ten wątek; https://forums.autodesk.com/t5/autocad-forum/convert-lwpolyline-into-list-of-latitude-amp-longitude/td-p/7823994 Trochę naokoło ale jakieś to rozwiązanie jest.(markery to nowe obiekty wprowadzone chyba w wersji 2016 ) Dalej prowadzę śledztwo. Ustaliłem ze odniesienie geograficzne zapisywane jest tutaj: ((-1 . <Nazwa elementu: 7ffffb09740>) (0 . "GEODATA") (5 . "1F4") (102 . "{ACAD_REACTORS") (330 . <Nazwa elementu: 7ffffb09660>) (102 . "}") (330 . <Nazwa elementu: 7ffffb09660>) (100 . "AcDbGeoData") (90 . 2) (330 . <Nazwa elementu: 7ffffb069f0>) (70 . 1) (10 100.0 50.0 0.0) (11 -20.2383 52.2292 87.0) (40 . 1.0) (91 . 6) (41 . 1.0) (92 . 6) (210 0.0 0.0 1.0) (12 0.0 1.0 0.0) (95 . 3) (141 . 1.0) (294 . 0) (142 . 0.0) (143 . 0.0) (301 . "") (302 . "<georss:point>52.2292 -20.2383</georss:point>") (305 . "") (306 . "") (307 . "") (93 . 0) (96 . 0)) w AC MAP można używać te funkcji (ade_projptforward (getpoint)) http://cadxp.com/topic/42382-aller-sur-streetview-et-mappy w ZWCAD czy AC pewnie nie. Ale tak ja pisałem wcześniej jeśli w AC jest możliwość wyświetlania współrzędnych geograficznych kursora to musi być możliwość transformacji wsp. punktu. Może to gdzieś siedzi w plikach ARC , np w funkcjach ACET .........? Pozdrawiam
  7. radmis

    Znaki pionowe - słupki

    Zgadza się, kolor słupka pozostaje ten sam, ale warstwa się zmienia, dzięki za szybko odpowiedź.
  8. Martin_S

    ZWCAD 2020

    ZWSOFT wydał 2020 https://www.zwsoft.com/zwcad/download-center/zwcad2020 a czy z Architecture 2020 wiadomo coś więcej (bo nastapił krok wstecz, nowe błedy w 2019 żadnych ulepszeń od 2017)
  9. dmatusz3

    ZWCAD 2020

    Dużo poprawek + nowe funkcje, które nie zostały opisane tutaj https://www.zwcad.pl/zwcad-2020-beta.html My planujemy premierę we wtorek 25 czerwca.
  10. pawmal

    ZWCAD 2020

    Oczywiste jest, że w ciągu miesiąca nie jest możliwe wyeliminowanie wszystkich niedogodności. W wersji Beta chodzi o dostrzeżenie rażących błędów.
  11. kruszynski

    Znaki pionowe - słupki

    Sprawdziłem i wyszło mi, że choć słupek pozostaje w dotychczasowym kolorze, to jest na nowej warstwie. Można tego nie zauważyć bo nie zmieni koloru. Proszę sprawdzić we właściwościach zmienionego podwójnego słupka na jakiej jest warstwie. W takim przypadku można edytować blok (polecenie _BEDIT, lub REFEDIT ) , zaznaczyć wszystko i zmienić kolor na "ByBlock". powinno pomóc, jeśli nie, proszę przesłać przykład na adres pomoc@zwcad.pl w celu bardziej szczegółowej analizy. Przypisywanie różnych warstw dla projektowanych znaków pionowych i poziomych to jedna z nowości jaką przygotowujemy w ZWTraffic 2020.
  12. Jeśli ustawione jest położenie geograficzne można dobrać się do współrzędnych właśnie dzięki vla-get-Longitude vla-get-Latitude Choćby tak: (setq marker_object (vlax-ename->vla-object (car(entsel ))) ; prosimy użytkownika o wybranie markera (vla-get-Longitude marker_object)) (vla-get-Latitude marker_object)) Niestety to działa w programie AutoCAD. ZWCAD nie obsługuje tego typu obiektów. Przekazałem temat do ZWSOFT W ZWCAD jest funkcja cvunit która pozwana na przeliczanie różnych jednostek, ale niestety w przypadku współrzędnych geograficznych również się nie sprawdzi. Może udałoby się znaleźć jakieś inne rozwiązanie, gdyby przedstawił Pan temat trochę szerzej. Do jakich zadań potrzebna jest Panu znajomość współrzędnych geograficznych?
  13. Chris

    ZWCAD 2020

    OK, dziękuję za informacje. Pytałem, ponieważ część nieprawidłowości zgłoszonych do BETY, które zgłaszane były również dla wcześniejszych wersji programu ciągle nie zostały wyeliminowane....
  14. pawmal

    ZWCAD 2020

    Witam, w zasadzie wersja Beta jest po to, aby zauważone nieprawidłowości na tym etapie można było dostrzec i wyeliminować.
  15. Chris

    ZWCAD 2020

    Witam, na serwerach ZWSoft pojawiło się oficjalne wydanie ZWCADA 2020 VERNUM = "2019.05.29(46310)_x64". Czy w porównaniu do wersji BETA udało się wprowadzić jeszcze jakieś nowości, czy ta wersja zawiera tylko poprawki?
  16. Witam Jest sobie taka zmienna coords którą gdy ustawimy na wartość 3 to zamiast współrzędnych kursora pokazuje długość i szerokość geograficzną. Oczywiście musi być zdefiniowane położenie geograficzne. Jak dobrać się do tych danych z poziomu lispa? Chodzi o to że np. klikam punkt dostaje długość i szerokość geo. i odwrotnie wpisuje długość i szerokość geo. i dostaje współrzędne punktu. Znalazłem tylko to (vla-get-Longitude marker_object)) (vla-get-Latitude marker_object)) Pozdrawiam Daniel
  17. radmis

    Znaki pionowe - słupki

    Witam wszystkich na forum, Od niedawna jestem użytkownikiem ZWTraffic_2019 i zauważyłem małą niezgodność przy wstawianiu znaków pionowych. Jeśli wstawiamy znak pionowy na pojedynczym słupku na danej warstwie, a następnie zmienimy warstwę np. z innym kolorem to zarówno słupek jak i linia odniesienia zmienia się zgodnie z nową warstwą. Jeśli jednak wstawimy znak z podwójnymi słupkami i zmienimy warstwę to linia odniesienia przyjmuje cechy nowej warstwy jednak podwójny słupek pozostaje na starej warstwie i w dotychczasowym kolorze. Czy może ktoś to sprawdzić? W ustawieniach ZWTraffic zauważyłem, że można ustawić warstwy: projektowany, istniejący itp, brakuje mi jednak możliwości zdefiniowania oddzielnej warstwy np. "projektowany" dla znaków pionowych i oddzielnej dla "projektowany" w oznakowaniu poziomym, podobnie też dla warstwy "istniejący". Pozdrawiam Radek
  18. metiu

    ZWCAD 2020 - beta

    EDYCJA: Udało się naprawić problem - wygląda na to, że po dokonaniu zmian w programie (ustawienia menu edycji, układu elementów na wstążce itp.) należało program zrestartować.
  19. Earlier
  20. BKW

    ZWCAD 2020 - beta

    11. Polecenie "-LAYDEL" Wywołanie polecenia laydel z klawiatury działa poprawnie i usuwa wpisywane warstwy. Wywołanie polecenia z zew lispa powoduje zawieszenie się zwcada. Testowałem na kilku plikach (czystych, z dużą liczbą elementów, z małą liczbą elementów. itp.). Wcześniej oczywiście stworzyłem odpowiednie warstwy i zawarłem w rysunku elementy na tych warstwach. Poniżej kod lsp : (DEFUN C:tttt () (command "-laydel" "t" "1" "" "" "y" "-laydel" "t" "2" "" "" "y" "-laydel" "t" "3" "" "" "y" "-laydel" "t" "4" "" "" "y" "-laydel" "t" "5" "" "" "y")) lub (DEFUN C:eeee () (command "-laydel" "t" "1" "2" "3" "4" "5" "" "" "y")) 12. Polecenie "-LAYMRG" Brakuje w tym polecenia możliwości wpisania nazw warstw z klawiatury ("type-it") tak jak ma to miejsce w poleceniu powyżej ("-laydel")
  21. alf

    ZWCAD 2020 - beta

    18,19,20,21,22... 😩
  22. Adam Klaczek

    kolor 255 - linia widoczna na wydruku

    Dzień dobry, A dlaczego w ten sposób? Steruje tym zmienna IMAGEFRAME i z wartością 2 wyświetla, ale nie drukuje. Albo ze wstążki:
  23. Witam! Przeszliśmy nie dawno na wersję ZWCAD 2019 Profesjonalna - Numer wersji 2018.07.26 (35476)_x64 , niestety ustawiając ramkę wydruku rastra kolorem 255 jest ona widoczna na wydruku. Wcześniej w poprzednich wersjach ZWCAD oraz AutoCAD nie było z tym problemu, czy jest na to jakiś sposób ?
  24. pawmal

    ZWCAD 2020 - beta

    Witam, przekazałem istotne informacje do ZWSOFT. Nie wiem jednak czy uda się to wdrożyć w oficjalnym wydaniu, gdyż ta wersja może być już gotowa do wydania.
  25. BKW

    ZWCAD 2020 - beta

    8. -HATCHEDIT Poniżej przedstawiłem różnicę w działaniu polecenia "-hatchedit / associate" między 15+ a 20. W ZWCad 15+ wywołanie tego polecenia powoduje, że tworzenie obwiedni hatch na nowo. W ZWCad 20 kliknięcie w zamknięte pole zawarte w obwiedni hatcha powoduje "odejmowanie" tej obwiedni od obwiedni edytowanego kreskowania. Obrazowo pokazałem to poniżej. ZWcad 15+ ZWCad 20 9. XREF W ZWCadzie 20 brakuje przycisku "SAVE PATH" co m.in. uniemożliwia zmianę ścieżki załadowanego pliku z "FULL PATH" do "NO PATH". Pokazane jest to poniżej na wideo. ZWCad 15 ZWCad 20 10. -PURGE Wywołanie polecenia "-PURGE / ALL........" nie jest poleceniem "kompletnym" tzn. nie usuwa zgodnie z definicją wszystkiego. (oczywiście mówimy tu o kilkukrotnym użyciu). Wywołanie ponownie polecenia "-PURGE / REGAPPS" powoduje wyczyszczenie nieusuniętych zarejestrowanych aplikacji. Nie jest to błąd 20, ale przypadłość wszystkich ZWCadów (i chyba AutoCada też). Dla mnie trochę niezrozumiała, gdyż słowo "all" z definicji powinno spowodować usunięcie WSZYSTKIEGO.
  26. Parikon

    Przybornik PARIKON

    Miło mi poinformować, że na Strona domowa PI udostępniłem program WaGaCAD PI 2019.6 w wersji testowej do użytku niekomercyjnego. Z ograniczeniem czasowym do 31 lipca 2019 i własną licencją. Chętnym zapraszam do przetestowania.
  27. Bartek1977

    Wprowadzanie dynamiczne - kolejność

    Gdyby to było takie proste... Ustawiając tylko zmianę długości, nie wyświetla mi się odległość np przesunięcia obiektu przy wyłączonej etykiecie (przesuwam obiekt i nie widzę o ile go przesuwam). Jeśli włączę etykietę, to ona bardzo często zasłania pola wprowadzania dynamicznego. I tak w kółko. Nie ma jakiejś zmiennej, która ustawia kolejność wyświetlania pól wprowadzania dynamicznego?
  28. Adam Klaczek

    Wprowadzanie dynamiczne - kolejność

    Dzień dobry, W takim przypadku można ustawić tylko zmianę długości.
  29. Bartek1977

    Wprowadzanie dynamiczne - kolejność

    Przypomnę się jeszcze z tym tematem, bo mnie to bardzo denerwuje. Muszę uważać, czy zaznaczyłem linię, czy polilinię, TABa raz nacisnę, raz nie. W 90% przypadkach łapiąc za uchwyt chcę wydłużyć lub skrócić linię/polilinię o zadaną odległość, a nie wpisać jej długość. Jest szansa, żeby to było poprawione w ZWCAD 2019? tzn. żeby pierwsza podświetlona była zmiana długości, zarówno dla linii jak i polilinii. P.S. Nie byłoby tematu, gdybym nie miał problemu z etykietą ...
  1. Load more activity